Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.expressions
Class ExpressionTagNames

    java.lang.Object
      org.eclipse.core.expressions.ExpressionTagNames

public final class ExpressionTagNames
extends Object

Class defining the tag names of the XML elements of the common expression language.

Since:
  3.0

Field Summary
`static String` | `ADAPT` The tag name of the adapt expression (value: `adapt`)
`static String` | `AND` The tag name of the and expression (value: `and`)
`static String` | `COUNT` The tag name of the count expression (value: `count`)
`static String` | `ENABLEMENT` The tag name of the enablement expression (value: `enablement`)
`static String` | `EQUALS` The tag name of the equals expression (value: `equals`)
`static String` | `INSTANCEOF` The tag name of the instanceof expression (value: `instanceof`)
`static String` | `ITERATE` The tag name of the adapt expression (value: `iterate`)
`static String` | `NOT` The tag name of the not expression (value: `not`)
`static String` | `OR` The tag name of the or expression (value: `or`)
`static String` | `RESOLVE` The tag name of the resolve expression (value: `resolve`)
`static String` | `SYSTEM_TEST` The tag name of the systemTest expression (value: `systemTest`)
`static String` | `TEST` The tag name of the test expression (value: `test`)
`static String` | `WITH` The tag name of the with expression (value: `with`)

Constructor Summary
`ExpressionTagNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENABLEMENT

    public static final String ENABLEMENT

  The tag name of the enablement expression (value: `enablement`)

  See Also:
    Constant Field Values

### AND

    public static final String AND

  The tag name of the and expression (value: `and`)

  See Also:
    Constant Field Values

### OR

    public static final String OR

  The tag name of the or expression (value: `or`)

  See Also:
    Constant Field Values

### NOT

    public static final String NOT

  The tag name of the not expression (value: `not`)

  See Also:
    Constant Field Values

### INSTANCEOF

    public static final String INSTANCEOF

  The tag name of the instanceof expression (value: `instanceof`)

  See Also:
    Constant Field Values

### TEST

    public static final String TEST

  The tag name of the test expression (value: `test`)

  See Also:
    Constant Field Values

### WITH

    public static final String WITH

  The tag name of the with expression (value: `with`)

  See Also:
    Constant Field Values

### ADAPT

    public static final String ADAPT

  The tag name of the adapt expression (value: `adapt`)

  See Also:
    Constant Field Values

### COUNT

    public static final String COUNT

  The tag name of the count expression (value: `count`)

  See Also:
    Constant Field Values

### ITERATE

    public static final String ITERATE

  The tag name of the adapt expression (value: `iterate`)

  See Also:
    Constant Field Values

### RESOLVE

    public static final String RESOLVE

  The tag name of the resolve expression (value: `resolve`)

  See Also:
    Constant Field Values

### SYSTEM_TEST

    public static final String SYSTEM_TEST

  The tag name of the systemTest expression (value: `systemTest`)

  See Also:
    Constant Field Values

### EQUALS

    public static final String EQUALS

  The tag name of the equals expression (value: `equals`)

  See Also:
    Constant Field Values

Constructor Detail

### ExpressionTagNames

    public ExpressionTagNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.